update deff test and ref
[scilab.git] / scilab / modules / functions / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2009 - DIGITEO - Allan CORNET
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
24 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
25 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
26 #
27 # This file must be used under the terms of the CeCILL.
28 # This source file is licensed as described in the file COPYING, which
29 # you should have received as part of this distribution.  The terms
30 # are also available at
31 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
32 #
33
34 ##########
35 ### Makefile included stuff
36 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
37 ##########
38
39
40 VPATH = @srcdir@
41 am__make_dryrun = \
42   { \
43     am__dry=no; \
44     case $$MAKEFLAGS in \
45       *\\[\ \   ]*) \
46         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
47           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
48       *) \
49         for am__flg in $$MAKEFLAGS; do \
50           case $$am__flg in \
51             *=*|--*) ;; \
52             *n*) am__dry=yes; break;; \
53           esac; \
54         done;; \
55     esac; \
56     test $$am__dry = yes; \
57   }
58 pkgdatadir = $(datadir)/@PACKAGE@
59 pkgincludedir = $(includedir)/@PACKAGE@
60 pkglibdir = $(libdir)/@PACKAGE@
61 pkglibexecdir = $(libexecdir)/@PACKAGE@
62 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
63 install_sh_DATA = $(install_sh) -c -m 644
64 install_sh_PROGRAM = $(install_sh) -c
65 install_sh_SCRIPT = $(install_sh) -c
66 INSTALL_HEADER = $(INSTALL_DATA)
67 transform = $(program_transform_name)
68 NORMAL_INSTALL = :
69 PRE_INSTALL = :
70 POST_INSTALL = :
71 NORMAL_UNINSTALL = :
72 PRE_UNINSTALL = :
73 POST_UNINSTALL = :
74 build_triplet = @build@
75 host_triplet = @host@
76 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
77         $(top_srcdir)/Makefile.incl.am
78 @NEED_JAVA_TRUE@am__append_1 = java
79 subdir = modules/functions
80 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
81 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
82         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
83         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/fftw.m4 \
84         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
85         $(top_srcdir)/m4/hdf5.m4 $(top_srcdir)/m4/intel_compiler.m4 \
86         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
87         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
88         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
89         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
90         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
91         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
92         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
93         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
94         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
95         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
96         $(top_srcdir)/configure.ac
97 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
98         $(ACLOCAL_M4)
99 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
100 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
101 CONFIG_CLEAN_FILES =
102 CONFIG_CLEAN_VPATH_FILES =
103 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
104 am__vpath_adj = case $$p in \
105     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
106     *) f=$$p;; \
107   esac;
108 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
109 am__install_max = 40
110 am__nobase_strip_setup = \
111   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
112 am__nobase_strip = \
113   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
114 am__nobase_list = $(am__nobase_strip_setup); \
115   for p in $$list; do echo "$$p $$p"; done | \
116   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
117   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
118     if (++n[$$2] == $(am__install_max)) \
119       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
120     END { for (dir in files) print dir, files[dir] }'
121 am__base_list = \
122   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
123   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
124 am__uninstall_files_from_dir = { \
125   test -z "$$files" \
126     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
127     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
128          $(am__cd) "$$dir" && rm -f $$files; }; \
129   }
130 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
131         "$(DESTDIR)$(libscifunctions_la_etcdir)" \
132         "$(DESTDIR)$(libscifunctions_la_rootdir)" \
133         "$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)"
134 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
135 libscifunctions_algo_la_LIBADD =
136 am__objects_1 = libscifunctions_algo_la-getmacroslist.lo \
137         libscifunctions_algo_la-librarieslist.lo \
138         libscifunctions_algo_la-libraryinfo.lo \
139         libscifunctions_algo_la-isScilabFunction.lo \
140         libscifunctions_algo_la-searchmacroinlibraries.lo
141 am__objects_2 = whereis.lo
142 am_libscifunctions_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2)
143 libscifunctions_algo_la_OBJECTS =  \
144         $(am_libscifunctions_algo_la_OBJECTS)
145 libscifunctions_la_DEPENDENCIES = libscifunctions-algo.la
146 am__objects_3 = libscifunctions_la-gw_functions.lo \
147         libscifunctions_la-sci_lib.lo libscifunctions_la-sci_deff.lo \
148         libscifunctions_la-sci_execstr.lo \
149         libscifunctions_la-sci_exec.lo \
150         libscifunctions_la-sci_whereis.lo \
151         libscifunctions_la-sci_librarieslist.lo \
152         libscifunctions_la-sci_libraryinfo.lo
153 am__objects_4 = intlib.lo intdeff.lo intexecstr.lo intexec.lo
154 am_libscifunctions_la_OBJECTS = $(am__objects_3) $(am__objects_4)
155 libscifunctions_la_OBJECTS = $(am_libscifunctions_la_OBJECTS)
156 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
157 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
158 am__depfiles_maybe = depfiles
159 am__mv = mv -f
160 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
161         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
162 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
163         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
164         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
165 CCLD = $(CC)
166 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
167         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
168         $(LDFLAGS) -o $@
169 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
170 LTF77COMPILE = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
171         --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
172 F77LD = $(F77)
173 F77LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
174         --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) $(AM_LDFLAGS) \
175         $(LDFLAGS) -o $@
176 SOURCES = $(libscifunctions_algo_la_SOURCES) \
177         $(libscifunctions_la_SOURCES)
178 DIST_SOURCES = $(libscifunctions_algo_la_SOURCES) \
179         $(libscifunctions_la_SOURCES)
180 am__can_run_installinfo = \
181   case $$AM_UPDATE_INFO_DIR in \
182     n|no|NO) false;; \
183     *) (install-info --version) >/dev/null 2>&1;; \
184   esac
185 DATA = $(libscifunctions_la_etc_DATA) $(libscifunctions_la_root_DATA) \
186         $(libscifunctions_la_sci_gateway_DATA)
187 ETAGS = etags
188 CTAGS = ctags
189 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
190 ACLOCAL = @ACLOCAL@
191 ALL_LINGUAS = @ALL_LINGUAS@
192 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
193 AMTAR = @AMTAR@
194 ANT = @ANT@
195 ANTLR = @ANTLR@
196 AR = @AR@
197 ARPACK_LIBS = @ARPACK_LIBS@
198 ASM3 = @ASM3@
199 AUTOCONF = @AUTOCONF@
200 AUTOHEADER = @AUTOHEADER@
201 AUTOMAKE = @AUTOMAKE@
202 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
203 AWK = @AWK@
204 BATIK = @BATIK@
205 BLAS_LIBS = @BLAS_LIBS@
206 CC = @CC@
207 CCACHE = @CCACHE@
208 CCDEPMODE = @CCDEPMODE@
209 CFLAGS = @CFLAGS@
210 CHECKSTYLE = @CHECKSTYLE@
211 COBERTURA = @COBERTURA@
212 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
213 COMMONS_IO = @COMMONS_IO@
214 COMMONS_LOGGING = @COMMONS_LOGGING@
215 CPP = @CPP@
216 CPPFLAGS = @CPPFLAGS@
217 CXX = @CXX@
218 CXXCPP = @CXXCPP@
219 CXXDEPMODE = @CXXDEPMODE@
220 CXXFLAGS = @CXXFLAGS@
221 CYGPATH_W = @CYGPATH_W@
222 DEFS = @DEFS@
223 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
224 DEPDIR = @DEPDIR@
225 DOCBOOK_ROOT = @DOCBOOK_ROOT@
226 DOXYGEN_BIN = @DOXYGEN_BIN@
227 DSYMUTIL = @DSYMUTIL@
228 DUMPBIN = @DUMPBIN@
229 ECHO_C = @ECHO_C@
230 ECHO_N = @ECHO_N@
231 ECHO_T = @ECHO_T@
232 EGREP = @EGREP@
233 EXEEXT = @EXEEXT@
234 F77 = @F77@
235 FFLAGS = @FFLAGS@
236 FFTW3_LIB = @FFTW3_LIB@
237 FFTW_ENABLE = @FFTW_ENABLE@
238 FGREP = @FGREP@
239 FLEXDOCK = @FLEXDOCK@
240 FLIBS = @FLIBS@
241 FOP = @FOP@
242 GENHTML = @GENHTML@
243 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
244 GIWS_BIN = @GIWS_BIN@
245 GLUEGEN2_RT = @GLUEGEN2_RT@
246 GMSGFMT = @GMSGFMT@
247 GMSGFMT_015 = @GMSGFMT_015@
248 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
249 GREP = @GREP@
250 GUI_ENABLE = @GUI_ENABLE@
251 HDF5_CFLAGS = @HDF5_CFLAGS@
252 HDF5_LIBS = @HDF5_LIBS@
253 HELP_ENABLE = @HELP_ENABLE@
254 INSTALL = @INSTALL@
255 INSTALL_DATA = @INSTALL_DATA@
256 INSTALL_PROGRAM = @INSTALL_PROGRAM@
257 INSTALL_SCRIPT = @INSTALL_SCRIPT@
258 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
259 INTLLIBS = @INTLLIBS@
260 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
261 JAR = @JAR@
262 JAVA = @JAVA@
263 JAVAC = @JAVAC@
264 JAVAC_DEBUG = @JAVAC_DEBUG@
265 JAVADOC = @JAVADOC@
266 JAVAH = @JAVAH@
267 JAVASCI_ENABLE = @JAVASCI_ENABLE@
268 JAVA_ENABLE = @JAVA_ENABLE@
269 JAVA_G = @JAVA_G@
270 JAVA_HOME = @JAVA_HOME@
271 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
272 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
273 JDB = @JDB@
274 JEUCLID_CORE = @JEUCLID_CORE@
275 JGRAPHX = @JGRAPHX@
276 JHALL = @JHALL@
277 JLATEXMATH = @JLATEXMATH@
278 JLATEXMATH_FOP = @JLATEXMATH_FOP@
279 JOGL2 = @JOGL2@
280 JROSETTA_API = @JROSETTA_API@
281 JROSETTA_ENGINE = @JROSETTA_ENGINE@
282 JUNIT4 = @JUNIT4@
283 LAPACK_LIBS = @LAPACK_LIBS@
284 LCOV = @LCOV@
285 LD = @LD@
286 LDFLAGS = @LDFLAGS@
287 LIBICONV = @LIBICONV@
288 LIBINTL = @LIBINTL@
289 LIBM = @LIBM@
290 LIBOBJS = @LIBOBJS@
291 LIBS = @LIBS@
292 LIBTOOL = @LIBTOOL@
293 LIPO = @LIPO@
294 LN_S = @LN_S@
295 LOGGING_LEVEL = @LOGGING_LEVEL@
296 LOOKS = @LOOKS@
297 LTLIBICONV = @LTLIBICONV@
298 LTLIBINTL = @LTLIBINTL@
299 LTLIBOBJS = @LTLIBOBJS@
300 MAINT = @MAINT@
301 MAKEINFO = @MAKEINFO@
302 MATIO_CFLAGS = @MATIO_CFLAGS@
303 MATIO_ENABLE = @MATIO_ENABLE@
304 MATIO_LIBS = @MATIO_LIBS@
305 MKDIR_P = @MKDIR_P@
306 MSGCAT = @MSGCAT@
307 MSGFMT = @MSGFMT@
308 MSGFMT_015 = @MSGFMT_015@
309 MSGMERGE = @MSGMERGE@
310 NM = @NM@
311 NMEDIT = @NMEDIT@
312 OBJDUMP = @OBJDUMP@
313 OBJEXT = @OBJEXT@
314 OCAMLC = @OCAMLC@
315 OCAMLDEP = @OCAMLDEP@
316 OCAMLLEX = @OCAMLLEX@
317 OCAMLOPT = @OCAMLOPT@
318 OCAMLYACC = @OCAMLYACC@
319 OPENMP_CFLAGS = @OPENMP_CFLAGS@
320 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
321 OPENMP_ENABLE = @OPENMP_ENABLE@
322 OPENMP_LIBS = @OPENMP_LIBS@
323 OTOOL = @OTOOL@
324 OTOOL64 = @OTOOL64@
325 PACKAGE = @PACKAGE@
326 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
327 PACKAGE_NAME = @PACKAGE_NAME@
328 PACKAGE_STRING = @PACKAGE_STRING@
329 PACKAGE_TARNAME = @PACKAGE_TARNAME@
330 PACKAGE_URL = @PACKAGE_URL@
331 PACKAGE_VERSION = @PACKAGE_VERSION@
332 PATH_SEPARATOR = @PATH_SEPARATOR@
333 PCRE_CFLAGS = @PCRE_CFLAGS@
334 PCRE_CONFIG = @PCRE_CONFIG@
335 PCRE_LIBS = @PCRE_LIBS@
336 PCRE_VERSION = @PCRE_VERSION@
337 PKG_CONFIG = @PKG_CONFIG@
338 POSUB = @POSUB@
339 POW_LIB = @POW_LIB@
340 PYTHON = @PYTHON@
341 RANLIB = @RANLIB@
342 RELOCATABLE = @RELOCATABLE@
343 RT_LIB = @RT_LIB@
344 SAXON = @SAXON@
345 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
346 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
347 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
348 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
349 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
350 SCIRENDERER = @SCIRENDERER@
351 SCI_CFLAGS = @SCI_CFLAGS@
352 SCI_CXXFLAGS = @SCI_CXXFLAGS@
353 SCI_FFLAGS = @SCI_FFLAGS@
354 SCI_LDFLAGS = @SCI_LDFLAGS@
355 SED = @SED@
356 SET_MAKE = @SET_MAKE@
357 SET_RELOCATABLE = @SET_RELOCATABLE@
358 SHELL = @SHELL@
359 SKINLF = @SKINLF@
360 SPLINT = @SPLINT@
361 STRIP = @STRIP@
362 SWIG_BIN = @SWIG_BIN@
363 SWIG_JAVA = @SWIG_JAVA@
364 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
365 TCLTK_LIBS = @TCLTK_LIBS@
366 TCL_INC_PATH = @TCL_INC_PATH@
367 TK_INC_PATH = @TK_INC_PATH@
368 UMFPACK_ENABLE = @UMFPACK_ENABLE@
369 UMFPACK_LIB = @UMFPACK_LIB@
370 USE_NLS = @USE_NLS@
371 VERSION = @VERSION@
372 WITH_OCAML = @WITH_OCAML@
373 WITH_TKSCI = @WITH_TKSCI@
374 XCOS_ENABLE = @XCOS_ENABLE@
375 XGETTEXT = @XGETTEXT@
376 XGETTEXT_015 = @XGETTEXT_015@
377 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
378 XMKMF = @XMKMF@
379 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
380 XML_APIS_EXT = @XML_APIS_EXT@
381 XML_CONFIG = @XML_CONFIG@
382 XML_FLAGS = @XML_FLAGS@
383 XML_LIBS = @XML_LIBS@
384 XML_VERSION = @XML_VERSION@
385 X_CFLAGS = @X_CFLAGS@
386 X_EXTRA_LIBS = @X_EXTRA_LIBS@
387 X_LIBS = @X_LIBS@
388 X_PRE_LIBS = @X_PRE_LIBS@
389 abs_builddir = @abs_builddir@
390 abs_srcdir = @abs_srcdir@
391 abs_top_builddir = @abs_top_builddir@
392 abs_top_srcdir = @abs_top_srcdir@
393 ac_ct_CC = @ac_ct_CC@
394 ac_ct_CXX = @ac_ct_CXX@
395 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
396 ac_ct_F77 = @ac_ct_F77@
397 am__include = @am__include@
398 am__leading_dot = @am__leading_dot@
399 am__quote = @am__quote@
400 am__tar = @am__tar@
401 am__untar = @am__untar@
402 bindir = @bindir@
403 build = @build@
404 build_alias = @build_alias@
405 build_cpu = @build_cpu@
406 build_os = @build_os@
407 build_vendor = @build_vendor@
408 builddir = @builddir@
409 cxx_present = @cxx_present@
410 datadir = @datadir@
411 datarootdir = @datarootdir@
412 docdir = @docdir@
413 dvidir = @dvidir@
414 exec_prefix = @exec_prefix@
415 host = @host@
416 host_alias = @host_alias@
417 host_cpu = @host_cpu@
418 host_os = @host_os@
419 host_vendor = @host_vendor@
420 htmldir = @htmldir@
421 includedir = @includedir@
422 infodir = @infodir@
423 install_sh = @install_sh@
424 libdir = @libdir@
425 libexecdir = @libexecdir@
426 localedir = @localedir@
427 localstatedir = @localstatedir@
428 mandir = @mandir@
429 mkdir_p = @mkdir_p@
430 oldincludedir = @oldincludedir@
431 pdfdir = @pdfdir@
432 prefix = @prefix@
433 program_transform_name = @program_transform_name@
434 psdir = @psdir@
435 sbindir = @sbindir@
436 sharedstatedir = @sharedstatedir@
437 srcdir = @srcdir@
438 sysconfdir = @sysconfdir@
439 target_alias = @target_alias@
440 top_build_prefix = @top_build_prefix@
441 top_builddir = @top_builddir@
442 top_srcdir = @top_srcdir@
443 FUNCTIONS_C_SOURCES = src/c/getmacroslist.c \
444         src/c/librarieslist.c \
445         src/c/libraryinfo.c \
446         src/c/isScilabFunction.c \
447         src/c/searchmacroinlibraries.c
448
449 FUNCTIONS_FORTRAN_SOURCES = src/fortran/whereis.f
450 GATEWAY_C_SOURCES = sci_gateway/c/gw_functions.c \
451 sci_gateway/c/sci_lib.c \
452 sci_gateway/c/sci_deff.c \
453 sci_gateway/c/sci_execstr.c \
454 sci_gateway/c/sci_exec.c \
455 sci_gateway/c/sci_whereis.c \
456 sci_gateway/c/sci_librarieslist.c \
457 sci_gateway/c/sci_libraryinfo.c
458
459 GATEWAY_FORTRAN_SOURCES = sci_gateway/fortran/intlib.f \
460 sci_gateway/fortran/intdeff.f \
461 sci_gateway/fortran/intexecstr.f \
462 sci_gateway/fortran/intexec.f
463
464 libscifunctions_la_CPPFLAGS = -I$(srcdir)/includes/ \
465                                 -I$(srcdir)/src/c/ \
466                                 -I$(top_srcdir)/libs/MALLOC/includes/ \
467                                 -I$(top_srcdir)/modules/core/includes/ \
468                                 -I$(top_srcdir)/modules/output_stream/includes/ \
469                                 -I$(top_srcdir)/modules/api_scilab/includes/ \
470                                 -I$(top_srcdir)/modules/fileio/includes/ \
471                                 -I$(top_srcdir)/modules/call_scilab/includes/ \
472                                 -I$(top_srcdir)/modules/io/includes/ \
473                                 -I$(top_srcdir)/modules/string/includes/ \
474                                 -I$(top_srcdir)/modules/localization/includes/ \
475                                 $(AM_CPPFLAGS)
476
477 pkglib_LTLIBRARIES = libscifunctions.la
478 noinst_LTLIBRARIES = libscifunctions-algo.la
479 libscifunctions_algo_la_SOURCES = $(FUNCTIONS_C_SOURCES) $(FUNCTIONS_FORTRAN_SOURCES)
480 libscifunctions_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_FORTRAN_SOURCES)
481 libscifunctions_algo_la_CPPFLAGS = $(libscifunctions_la_CPPFLAGS)
482
483 # For the code check (splint)
484 CHECK_SRC = $(FUNCTIONS_SOURCES) $(GATEWAY_SOURCES)
485 INCLUDE_FLAGS = $(libscifunctions_la_CPPFLAGS)
486 libscifunctions_la_LIBADD = \
487         libscifunctions-algo.la
488
489
490 #### Target ######
491 modulename = functions
492
493 #### functions : Conf files ####
494 libscifunctions_la_rootdir = $(mydatadir)
495 libscifunctions_la_root_DATA = license.txt 
496
497 #### functions : init scripts ####
498 libscifunctions_la_etcdir = $(mydatadir)/etc
499 libscifunctions_la_etc_DATA = etc/functions.quit etc/functions.start
500
501 #### functions : gateway declaration ####
502 libscifunctions_la_sci_gatewaydir = $(mydatadir)/sci_gateway
503 libscifunctions_la_sci_gateway_DATA = sci_gateway/functions_gateway.xml
504
505 # Where all the Scilab stuff is installed (macros, help, ...)
506 mydatadir = $(pkgdatadir)/modules/$(modulename)
507
508 # Set AM_* SCI detected settings
509 AM_CPPFLAGS = $(SCI_CPPFLAGS)
510 AM_CFLAGS = $(SCI_CFLAGS)
511 AM_CXXFLAGS = $(SCI_CXXFLAGS)
512 # append includes to AM_FFLAGS to manage fortran includes
513 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
514
515 # Tag shared libraries with the Scilab version
516 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
517
518 # splint options
519 SPLINT_OPTIONS = -weak -booltype BOOL
520
521 ########################### JAVA ######################################
522 #### We are delegating java compilation to ant... Thanks to that
523 #### the procedure will be the same with Microsoft Windows (C)
524 #### and Linux/Unix
525 #######################################################################
526 TARGETS_ALL = $(am__append_1)
527
528 ################ MACROS ######################
529 # Rule to build a macro
530 # NOT USED  AT THE MOMENT
531 SUFFIXES = .sci 
532
533 ########### INSTALL DOCUMENTATION ###################
534
535 # Install documentation files into the right target
536 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
537 # automake needs the html files to be present which is not the case when
538 # we are building Scilab
539
540 # Where it should be installed
541 pkgdocdir = $(mydatadir)
542
543 # What is the mask of the help source
544 DOCMASKXML = *.xml
545
546 # What is the mask of the MathML sources
547 DOCMASKMML = *.mml
548
549 ########### INSTALL DATA ###################
550 # Install macros, help & demos
551 # Where it should be installed
552 pkgmacrosdir = $(mydatadir)
553 # Which directory we process
554 MACRODIRS = macros/
555 # Mask of the Scilab sources macros
556 MACROMASK = *.sci
557 # Mask of the Scilab executable sources macros
558 MACROBUILDMASK = *.sce
559 # Mask of the Scilab compiled macros
560 MACROBINMASK = *.bin
561 # List of the standard directory for tests
562 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
563 # Where the demos should be installed
564 pkgdemosdir = $(mydatadir)
565 # List of the standard directory for demos
566 DEMOS_DIR = demos
567 # List of the standard directory for examples
568 EXAMPLES_DIR = examples
569 # Where to export JAVA archives (.jar)
570 JARDIR = jar/
571 # JAR files mask
572 JARMASK = *.jar
573 # Chapter file 
574 HELP_CHAPTERDIR = help/
575 HELP_CHAPTERFILE = addchapter.sce
576 HELP_CHAPTERLANG = en_US fr_FR pt_BR
577 all: all-am
578
579 .SUFFIXES:
580 .SUFFIXES: .sci .bin .c .f .lo .o .obj
581 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
582         @for dep in $?; do \
583           case '$(am__configure_deps)' in \
584             *$$dep*) \
585               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
586                 && { if test -f $@; then exit 0; else break; fi; }; \
587               exit 1;; \
588           esac; \
589         done; \
590         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/functions/Makefile'; \
591         $(am__cd) $(top_srcdir) && \
592           $(AUTOMAKE) --foreign modules/functions/Makefile
593 .PRECIOUS: Makefile
594 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
595         @case '$?' in \
596           *config.status*) \
597             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
598           *) \
599             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
600             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
601         esac;
602 $(top_srcdir)/Makefile.incl.am:
603
604 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
605         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
606
607 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
608         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
609 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
610         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
611 $(am__aclocal_m4_deps):
612
613 clean-noinstLTLIBRARIES:
614         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
615         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
616           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
617           test "$$dir" != "$$p" || dir=.; \
618           echo "rm -f \"$${dir}/so_locations\""; \
619           rm -f "$${dir}/so_locations"; \
620         done
621 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
622         @$(NORMAL_INSTALL)
623         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
624         list2=; for p in $$list; do \
625           if test -f $$p; then \
626             list2="$$list2 $$p"; \
627           else :; fi; \
628         done; \
629         test -z "$$list2" || { \
630           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
631           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
632           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
633           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
634         }
635
636 uninstall-pkglibLTLIBRARIES:
637         @$(NORMAL_UNINSTALL)
638         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
639         for p in $$list; do \
640           $(am__strip_dir) \
641           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
642           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
643         done
644
645 clean-pkglibLTLIBRARIES:
646         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
647         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
648           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
649           test "$$dir" != "$$p" || dir=.; \
650           echo "rm -f \"$${dir}/so_locations\""; \
651           rm -f "$${dir}/so_locations"; \
652         done
653 libscifunctions-algo.la: $(libscifunctions_algo_la_OBJECTS) $(libscifunctions_algo_la_DEPENDENCIES) $(EXTRA_libscifunctions_algo_la_DEPENDENCIES) 
654         $(F77LINK)  $(libscifunctions_algo_la_OBJECTS) $(libscifunctions_algo_la_LIBADD) $(LIBS)
655 libscifunctions.la: $(libscifunctions_la_OBJECTS) $(libscifunctions_la_DEPENDENCIES) $(EXTRA_libscifunctions_la_DEPENDENCIES) 
656         $(F77LINK) -rpath $(pkglibdir) $(libscifunctions_la_OBJECTS) $(libscifunctions_la_LIBADD) $(LIBS)
657
658 mostlyclean-compile:
659         -rm -f *.$(OBJEXT)
660
661 distclean-compile:
662         -rm -f *.tab.c
663
664 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifunctions_algo_la-getmacroslist.Plo@am__quote@
665 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifunctions_algo_la-isScilabFunction.Plo@am__quote@
666 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifunctions_algo_la-librarieslist.Plo@am__quote@
667 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifunctions_algo_la-libraryinfo.Plo@am__quote@
668 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifunctions_algo_la-searchmacroinlibraries.Plo@am__quote@
669 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifunctions_la-gw_functions.Plo@am__quote@
670 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifunctions_la-sci_deff.Plo@am__quote@
671 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifunctions_la-sci_exec.Plo@am__quote@
672 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifunctions_la-sci_execstr.Plo@am__quote@
673 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifunctions_la-sci_lib.Plo@am__quote@
674 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifunctions_la-sci_librarieslist.Plo@am__quote@
675 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifunctions_la-sci_libraryinfo.Plo@am__quote@
676 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifunctions_la-sci_whereis.Plo@am__quote@
677
678 .c.o:
679 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
680 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
681 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
682 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
683 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
684
685 .c.obj:
686 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
687 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
688 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
689 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
690 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
691
692 .c.lo:
693 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
694 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
695 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
696 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
697 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
698
699 libscifunctions_algo_la-getmacroslist.lo: src/c/getmacroslist.c
700 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifunctions_algo_la-getmacroslist.lo -MD -MP -MF $(DEPDIR)/libscifunctions_algo_la-getmacroslist.Tpo -c -o libscifunctions_algo_la-getmacroslist.lo `test -f 'src/c/getmacroslist.c' || echo '$(srcdir)/'`src/c/getmacroslist.c
701 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifunctions_algo_la-getmacroslist.Tpo $(DEPDIR)/libscifunctions_algo_la-getmacroslist.Plo
702 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/getmacroslist.c' object='libscifunctions_algo_la-getmacroslist.lo' libtool=yes @AMDEPBACKSLASH@
703 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
704 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifunctions_algo_la-getmacroslist.lo `test -f 'src/c/getmacroslist.c' || echo '$(srcdir)/'`src/c/getmacroslist.c
705
706 libscifunctions_algo_la-librarieslist.lo: src/c/librarieslist.c
707 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifunctions_algo_la-librarieslist.lo -MD -MP -MF $(DEPDIR)/libscifunctions_algo_la-librarieslist.Tpo -c -o libscifunctions_algo_la-librarieslist.lo `test -f 'src/c/librarieslist.c' || echo '$(srcdir)/'`src/c/librarieslist.c
708 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifunctions_algo_la-librarieslist.Tpo $(DEPDIR)/libscifunctions_algo_la-librarieslist.Plo
709 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/librarieslist.c' object='libscifunctions_algo_la-librarieslist.lo' libtool=yes @AMDEPBACKSLASH@
710 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
711 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifunctions_algo_la-librarieslist.lo `test -f 'src/c/librarieslist.c' || echo '$(srcdir)/'`src/c/librarieslist.c
712
713 libscifunctions_algo_la-libraryinfo.lo: src/c/libraryinfo.c
714 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifunctions_algo_la-libraryinfo.lo -MD -MP -MF $(DEPDIR)/libscifunctions_algo_la-libraryinfo.Tpo -c -o libscifunctions_algo_la-libraryinfo.lo `test -f 'src/c/libraryinfo.c' || echo '$(srcdir)/'`src/c/libraryinfo.c
715 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifunctions_algo_la-libraryinfo.Tpo $(DEPDIR)/libscifunctions_algo_la-libraryinfo.Plo
716 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/libraryinfo.c' object='libscifunctions_algo_la-libraryinfo.lo' libtool=yes @AMDEPBACKSLASH@
717 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
718 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifunctions_algo_la-libraryinfo.lo `test -f 'src/c/libraryinfo.c' || echo '$(srcdir)/'`src/c/libraryinfo.c
719
720 libscifunctions_algo_la-isScilabFunction.lo: src/c/isScilabFunction.c
721 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifunctions_algo_la-isScilabFunction.lo -MD -MP -MF $(DEPDIR)/libscifunctions_algo_la-isScilabFunction.Tpo -c -o libscifunctions_algo_la-isScilabFunction.lo `test -f 'src/c/isScilabFunction.c' || echo '$(srcdir)/'`src/c/isScilabFunction.c
722 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifunctions_algo_la-isScilabFunction.Tpo $(DEPDIR)/libscifunctions_algo_la-isScilabFunction.Plo
723 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/isScilabFunction.c' object='libscifunctions_algo_la-isScilabFunction.lo' libtool=yes @AMDEPBACKSLASH@
724 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
725 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifunctions_algo_la-isScilabFunction.lo `test -f 'src/c/isScilabFunction.c' || echo '$(srcdir)/'`src/c/isScilabFunction.c
726
727 libscifunctions_algo_la-searchmacroinlibraries.lo: src/c/searchmacroinlibraries.c
728 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifunctions_algo_la-searchmacroinlibraries.lo -MD -MP -MF $(DEPDIR)/libscifunctions_algo_la-searchmacroinlibraries.Tpo -c -o libscifunctions_algo_la-searchmacroinlibraries.lo `test -f 'src/c/searchmacroinlibraries.c' || echo '$(srcdir)/'`src/c/searchmacroinlibraries.c
729 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifunctions_algo_la-searchmacroinlibraries.Tpo $(DEPDIR)/libscifunctions_algo_la-searchmacroinlibraries.Plo
730 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/searchmacroinlibraries.c' object='libscifunctions_algo_la-searchmacroinlibraries.lo' libtool=yes @AMDEPBACKSLASH@
731 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
732 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifunctions_algo_la-searchmacroinlibraries.lo `test -f 'src/c/searchmacroinlibraries.c' || echo '$(srcdir)/'`src/c/searchmacroinlibraries.c
733
734 libscifunctions_la-gw_functions.lo: sci_gateway/c/gw_functions.c
735 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifunctions_la-gw_functions.lo -MD -MP -MF $(DEPDIR)/libscifunctions_la-gw_functions.Tpo -c -o libscifunctions_la-gw_functions.lo `test -f 'sci_gateway/c/gw_functions.c' || echo '$(srcdir)/'`sci_gateway/c/gw_functions.c
736 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifunctions_la-gw_functions.Tpo $(DEPDIR)/libscifunctions_la-gw_functions.Plo
737 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_functions.c' object='libscifunctions_la-gw_functions.lo' libtool=yes @AMDEPBACKSLASH@
738 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
739 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifunctions_la-gw_functions.lo `test -f 'sci_gateway/c/gw_functions.c' || echo '$(srcdir)/'`sci_gateway/c/gw_functions.c
740
741 libscifunctions_la-sci_lib.lo: sci_gateway/c/sci_lib.c
742 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifunctions_la-sci_lib.lo -MD -MP -MF $(DEPDIR)/libscifunctions_la-sci_lib.Tpo -c -o libscifunctions_la-sci_lib.lo `test -f 'sci_gateway/c/sci_lib.c' || echo '$(srcdir)/'`sci_gateway/c/sci_lib.c
743 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifunctions_la-sci_lib.Tpo $(DEPDIR)/libscifunctions_la-sci_lib.Plo
744 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_lib.c' object='libscifunctions_la-sci_lib.lo' libtool=yes @AMDEPBACKSLASH@
745 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
746 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifunctions_la-sci_lib.lo `test -f 'sci_gateway/c/sci_lib.c' || echo '$(srcdir)/'`sci_gateway/c/sci_lib.c
747
748 libscifunctions_la-sci_deff.lo: sci_gateway/c/sci_deff.c
749 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifunctions_la-sci_deff.lo -MD -MP -MF $(DEPDIR)/libscifunctions_la-sci_deff.Tpo -c -o libscifunctions_la-sci_deff.lo `test -f 'sci_gateway/c/sci_deff.c' || echo '$(srcdir)/'`sci_gateway/c/sci_deff.c
750 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifunctions_la-sci_deff.Tpo $(DEPDIR)/libscifunctions_la-sci_deff.Plo
751 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_deff.c' object='libscifunctions_la-sci_deff.lo' libtool=yes @AMDEPBACKSLASH@
752 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
753 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifunctions_la-sci_deff.lo `test -f 'sci_gateway/c/sci_deff.c' || echo '$(srcdir)/'`sci_gateway/c/sci_deff.c
754
755 libscifunctions_la-sci_execstr.lo: sci_gateway/c/sci_execstr.c
756 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifunctions_la-sci_execstr.lo -MD -MP -MF $(DEPDIR)/libscifunctions_la-sci_execstr.Tpo -c -o libscifunctions_la-sci_execstr.lo `test -f 'sci_gateway/c/sci_execstr.c' || echo '$(srcdir)/'`sci_gateway/c/sci_execstr.c
757 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifunctions_la-sci_execstr.Tpo $(DEPDIR)/libscifunctions_la-sci_execstr.Plo
758 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_execstr.c' object='libscifunctions_la-sci_execstr.lo' libtool=yes @AMDEPBACKSLASH@
759 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
760 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifunctions_la-sci_execstr.lo `test -f 'sci_gateway/c/sci_execstr.c' || echo '$(srcdir)/'`sci_gateway/c/sci_execstr.c
761
762 libscifunctions_la-sci_exec.lo: sci_gateway/c/sci_exec.c
763 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifunctions_la-sci_exec.lo -MD -MP -MF $(DEPDIR)/libscifunctions_la-sci_exec.Tpo -c -o libscifunctions_la-sci_exec.lo `test -f 'sci_gateway/c/sci_exec.c' || echo '$(srcdir)/'`sci_gateway/c/sci_exec.c
764 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifunctions_la-sci_exec.Tpo $(DEPDIR)/libscifunctions_la-sci_exec.Plo
765 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_exec.c' object='libscifunctions_la-sci_exec.lo' libtool=yes @AMDEPBACKSLASH@
766 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
767 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifunctions_la-sci_exec.lo `test -f 'sci_gateway/c/sci_exec.c' || echo '$(srcdir)/'`sci_gateway/c/sci_exec.c
768
769 libscifunctions_la-sci_whereis.lo: sci_gateway/c/sci_whereis.c
770 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifunctions_la-sci_whereis.lo -MD -MP -MF $(DEPDIR)/libscifunctions_la-sci_whereis.Tpo -c -o libscifunctions_la-sci_whereis.lo `test -f 'sci_gateway/c/sci_whereis.c' || echo '$(srcdir)/'`sci_gateway/c/sci_whereis.c
771 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifunctions_la-sci_whereis.Tpo $(DEPDIR)/libscifunctions_la-sci_whereis.Plo
772 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_whereis.c' object='libscifunctions_la-sci_whereis.lo' libtool=yes @AMDEPBACKSLASH@
773 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
774 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifunctions_la-sci_whereis.lo `test -f 'sci_gateway/c/sci_whereis.c' || echo '$(srcdir)/'`sci_gateway/c/sci_whereis.c
775
776 libscifunctions_la-sci_librarieslist.lo: sci_gateway/c/sci_librarieslist.c
777 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifunctions_la-sci_librarieslist.lo -MD -MP -MF $(DEPDIR)/libscifunctions_la-sci_librarieslist.Tpo -c -o libscifunctions_la-sci_librarieslist.lo `test -f 'sci_gateway/c/sci_librarieslist.c' || echo '$(srcdir)/'`sci_gateway/c/sci_librarieslist.c
778 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifunctions_la-sci_librarieslist.Tpo $(DEPDIR)/libscifunctions_la-sci_librarieslist.Plo
779 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_librarieslist.c' object='libscifunctions_la-sci_librarieslist.lo' libtool=yes @AMDEPBACKSLASH@
780 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
781 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifunctions_la-sci_librarieslist.lo `test -f 'sci_gateway/c/sci_librarieslist.c' || echo '$(srcdir)/'`sci_gateway/c/sci_librarieslist.c
782
783 libscifunctions_la-sci_libraryinfo.lo: sci_gateway/c/sci_libraryinfo.c
784 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifunctions_la-sci_libraryinfo.lo -MD -MP -MF $(DEPDIR)/libscifunctions_la-sci_libraryinfo.Tpo -c -o libscifunctions_la-sci_libraryinfo.lo `test -f 'sci_gateway/c/sci_libraryinfo.c' || echo '$(srcdir)/'`sci_gateway/c/sci_libraryinfo.c
785 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifunctions_la-sci_libraryinfo.Tpo $(DEPDIR)/libscifunctions_la-sci_libraryinfo.Plo
786 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_libraryinfo.c' object='libscifunctions_la-sci_libraryinfo.lo' libtool=yes @AMDEPBACKSLASH@
787 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
788 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifunctions_la-sci_libraryinfo.lo `test -f 'sci_gateway/c/sci_libraryinfo.c' || echo '$(srcdir)/'`sci_gateway/c/sci_libraryinfo.c
789
790 .f.o:
791         $(F77COMPILE) -c -o $@ $<
792
793 .f.obj:
794         $(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
795
796 .f.lo:
797         $(LTF77COMPILE) -c -o $@ $<
798
799 whereis.lo: src/fortran/whereis.f
800         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o whereis.lo `test -f 'src/fortran/whereis.f' || echo '$(srcdir)/'`src/fortran/whereis.f
801
802 intlib.lo: sci_gateway/fortran/intlib.f
803         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intlib.lo `test -f 'sci_gateway/fortran/intlib.f' || echo '$(srcdir)/'`sci_gateway/fortran/intlib.f
804
805 intdeff.lo: sci_gateway/fortran/intdeff.f
806         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intdeff.lo `test -f 'sci_gateway/fortran/intdeff.f' || echo '$(srcdir)/'`sci_gateway/fortran/intdeff.f
807
808 intexecstr.lo: sci_gateway/fortran/intexecstr.f
809         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intexecstr.lo `test -f 'sci_gateway/fortran/intexecstr.f' || echo '$(srcdir)/'`sci_gateway/fortran/intexecstr.f
810
811 intexec.lo: sci_gateway/fortran/intexec.f
812         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intexec.lo `test -f 'sci_gateway/fortran/intexec.f' || echo '$(srcdir)/'`sci_gateway/fortran/intexec.f
813
814 mostlyclean-libtool:
815         -rm -f *.lo
816
817 clean-libtool:
818         -rm -rf .libs _libs
819 install-libscifunctions_la_etcDATA: $(libscifunctions_la_etc_DATA)
820         @$(NORMAL_INSTALL)
821         @list='$(libscifunctions_la_etc_DATA)'; test -n "$(libscifunctions_la_etcdir)" || list=; \
822         if test -n "$$list"; then \
823           echo " $(MKDIR_P) '$(DESTDIR)$(libscifunctions_la_etcdir)'"; \
824           $(MKDIR_P) "$(DESTDIR)$(libscifunctions_la_etcdir)" || exit 1; \
825         fi; \
826         for p in $$list; do \
827           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
828           echo "$$d$$p"; \
829         done | $(am__base_list) | \
830         while read files; do \
831           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscifunctions_la_etcdir)'"; \
832           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscifunctions_la_etcdir)" || exit $$?; \
833         done
834
835 uninstall-libscifunctions_la_etcDATA:
836         @$(NORMAL_UNINSTALL)
837         @list='$(libscifunctions_la_etc_DATA)'; test -n "$(libscifunctions_la_etcdir)" || list=; \
838         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
839         dir='$(DESTDIR)$(libscifunctions_la_etcdir)'; $(am__uninstall_files_from_dir)
840 install-libscifunctions_la_rootDATA: $(libscifunctions_la_root_DATA)
841         @$(NORMAL_INSTALL)
842         @list='$(libscifunctions_la_root_DATA)'; test -n "$(libscifunctions_la_rootdir)" || list=; \
843         if test -n "$$list"; then \
844           echo " $(MKDIR_P) '$(DESTDIR)$(libscifunctions_la_rootdir)'"; \
845           $(MKDIR_P) "$(DESTDIR)$(libscifunctions_la_rootdir)" || exit 1; \
846         fi; \
847         for p in $$list; do \
848           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
849           echo "$$d$$p"; \
850         done | $(am__base_list) | \
851         while read files; do \
852           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscifunctions_la_rootdir)'"; \
853           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscifunctions_la_rootdir)" || exit $$?; \
854         done
855
856 uninstall-libscifunctions_la_rootDATA:
857         @$(NORMAL_UNINSTALL)
858         @list='$(libscifunctions_la_root_DATA)'; test -n "$(libscifunctions_la_rootdir)" || list=; \
859         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
860         dir='$(DESTDIR)$(libscifunctions_la_rootdir)'; $(am__uninstall_files_from_dir)
861 install-libscifunctions_la_sci_gatewayDATA: $(libscifunctions_la_sci_gateway_DATA)
862         @$(NORMAL_INSTALL)
863         @list='$(libscifunctions_la_sci_gateway_DATA)'; test -n "$(libscifunctions_la_sci_gatewaydir)" || list=; \
864         if test -n "$$list"; then \
865           echo " $(MKDIR_P) '$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)'"; \
866           $(MKDIR_P) "$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)" || exit 1; \
867         fi; \
868         for p in $$list; do \
869           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
870           echo "$$d$$p"; \
871         done | $(am__base_list) | \
872         while read files; do \
873           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)'"; \
874           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)" || exit $$?; \
875         done
876
877 uninstall-libscifunctions_la_sci_gatewayDATA:
878         @$(NORMAL_UNINSTALL)
879         @list='$(libscifunctions_la_sci_gateway_DATA)'; test -n "$(libscifunctions_la_sci_gatewaydir)" || list=; \
880         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
881         dir='$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
882
883 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
884         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
885         unique=`for i in $$list; do \
886             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
887           done | \
888           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
889               END { if (nonempty) { for (i in files) print i; }; }'`; \
890         mkid -fID $$unique
891 tags: TAGS
892
893 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
894                 $(TAGS_FILES) $(LISP)
895         set x; \
896         here=`pwd`; \
897         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
898         unique=`for i in $$list; do \
899             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
900           done | \
901           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
902               END { if (nonempty) { for (i in files) print i; }; }'`; \
903         shift; \
904         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
905           test -n "$$unique" || unique=$$empty_fix; \
906           if test $$# -gt 0; then \
907             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
908               "$$@" $$unique; \
909           else \
910             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
911               $$unique; \
912           fi; \
913         fi
914 ctags: CTAGS
915 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
916                 $(TAGS_FILES) $(LISP)
917         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
918         unique=`for i in $$list; do \
919             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
920           done | \
921           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
922               END { if (nonempty) { for (i in files) print i; }; }'`; \
923         test -z "$(CTAGS_ARGS)$$unique" \
924           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
925              $$unique
926
927 GTAGS:
928         here=`$(am__cd) $(top_builddir) && pwd` \
929           && $(am__cd) $(top_srcdir) \
930           && gtags -i $(GTAGS_ARGS) "$$here"
931
932 distclean-tags:
933         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
934
935 distdir: $(DISTFILES)
936         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
937         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
938         list='$(DISTFILES)'; \
939           dist_files=`for file in $$list; do echo $$file; done | \
940           sed -e "s|^$$srcdirstrip/||;t" \
941               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
942         case $$dist_files in \
943           */*) $(MKDIR_P) `echo "$$dist_files" | \
944                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
945                            sort -u` ;; \
946         esac; \
947         for file in $$dist_files; do \
948           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
949           if test -d $$d/$$file; then \
950             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
951             if test -d "$(distdir)/$$file"; then \
952               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
953             fi; \
954             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
955               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
956               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
957             fi; \
958             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
959           else \
960             test -f "$(distdir)/$$file" \
961             || cp -p $$d/$$file "$(distdir)/$$file" \
962             || exit 1; \
963           fi; \
964         done
965 check-am: all-am
966         $(MAKE) $(AM_MAKEFLAGS) check-local
967 check: check-am
968 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
969 installdirs:
970         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscifunctions_la_etcdir)" "$(DESTDIR)$(libscifunctions_la_rootdir)" "$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)"; do \
971           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
972         done
973 install: install-am
974 install-exec: install-exec-am
975 install-data: install-data-am
976 uninstall: uninstall-am
977
978 install-am: all-am
979         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
980
981 installcheck: installcheck-am
982 install-strip:
983         if test -z '$(STRIP)'; then \
984           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
985             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
986               install; \
987         else \
988           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
989             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
990             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
991         fi
992 mostlyclean-generic:
993
994 clean-generic:
995
996 distclean-generic:
997         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
998         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
999
1000 maintainer-clean-generic:
1001         @echo "This command is intended for maintainers to use"
1002         @echo "it deletes files that may require special tools to rebuild."
1003 clean: clean-am
1004
1005 clean-am: clean-generic clean-libtool clean-local \
1006         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1007
1008 distclean: distclean-am
1009         -rm -rf ./$(DEPDIR)
1010         -rm -f Makefile
1011 distclean-am: clean-am distclean-compile distclean-generic \
1012         distclean-local distclean-tags
1013
1014 dvi: dvi-am
1015
1016 dvi-am:
1017
1018 html: html-am
1019
1020 html-am:
1021
1022 info: info-am
1023
1024 info-am:
1025
1026 install-data-am: install-data-local install-libscifunctions_la_etcDATA \
1027         install-libscifunctions_la_rootDATA \
1028         install-libscifunctions_la_sci_gatewayDATA
1029
1030 install-dvi: install-dvi-am
1031
1032 install-dvi-am:
1033
1034 install-exec-am: install-pkglibLTLIBRARIES
1035
1036 install-html: install-html-am
1037
1038 install-html-am: install-html-local
1039
1040 install-info: install-info-am
1041
1042 install-info-am:
1043
1044 install-man:
1045
1046 install-pdf: install-pdf-am
1047
1048 install-pdf-am:
1049
1050 install-ps: install-ps-am
1051
1052 install-ps-am:
1053
1054 installcheck-am:
1055
1056 maintainer-clean: maintainer-clean-am
1057         -rm -rf ./$(DEPDIR)
1058         -rm -f Makefile
1059 maintainer-clean-am: distclean-am maintainer-clean-generic
1060
1061 mostlyclean: mostlyclean-am
1062
1063 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1064         mostlyclean-libtool
1065
1066 pdf: pdf-am
1067
1068 pdf-am:
1069
1070 ps: ps-am
1071
1072 ps-am:
1073
1074 uninstall-am: uninstall-libscifunctions_la_etcDATA \
1075         uninstall-libscifunctions_la_rootDATA \
1076         uninstall-libscifunctions_la_sci_gatewayDATA \
1077         uninstall-pkglibLTLIBRARIES
1078
1079 .MAKE: check-am install-am install-strip
1080
1081 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1082         clean clean-generic clean-libtool clean-local \
1083         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1084         distclean distclean-compile distclean-generic \
1085         distclean-libtool distclean-local distclean-tags distdir dvi \
1086         dvi-am html html-am info info-am install install-am \
1087         install-data install-data-am install-data-local install-dvi \
1088         install-dvi-am install-exec install-exec-am install-html \
1089         install-html-am install-html-local install-info \
1090         install-info-am install-libscifunctions_la_etcDATA \
1091         install-libscifunctions_la_rootDATA \
1092         install-libscifunctions_la_sci_gatewayDATA install-man \
1093         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1094         install-ps install-ps-am install-strip installcheck \
1095         installcheck-am installdirs maintainer-clean \
1096         maintainer-clean-generic mostlyclean mostlyclean-compile \
1097         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1098         tags uninstall uninstall-am \
1099         uninstall-libscifunctions_la_etcDATA \
1100         uninstall-libscifunctions_la_rootDATA \
1101         uninstall-libscifunctions_la_sci_gatewayDATA \
1102         uninstall-pkglibLTLIBRARIES
1103
1104
1105 # This target enables tests for Scilab
1106 check-local: $(top_builddir)/scilab-bin test
1107         if test -d $(mydatadir)/tests; then \
1108           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1109         fi
1110 check-code:
1111         if test -f build.xml; then \
1112                 $(ANT) checkstyle; \
1113         fi
1114         if test -x "$(SPLINT)"; then \
1115                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1116         fi
1117 @NEED_JAVA_TRUE@java:
1118 # Some configurations needs to export JAVA_HOME in the current env
1119 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1120 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1121 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1122 @NEED_JAVA_TRUE@                $(ANT); \
1123 @NEED_JAVA_TRUE@        fi
1124
1125 @NEED_JAVA_TRUE@clean-java:
1126 # Some configurations needs to export JAVA_HOME in the current env
1127 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1128 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1129 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1130 @NEED_JAVA_TRUE@                $(ANT) clean; \
1131 @NEED_JAVA_TRUE@        fi;
1132
1133 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1134 # We call the target swig-build on the variable SWIG_WRAPPERS
1135
1136 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1137 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1138 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1139 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1140 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1141 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1142 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1143 @SWIG_TRUE@             done; \
1144 @SWIG_TRUE@     fi
1145
1146 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1147 # We call the target swig-build on the variable SWIG_WRAPPERS
1148
1149 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1150 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1151 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1152 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1153 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1154 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1155 @GIWS_TRUE@             done; \
1156 @GIWS_TRUE@     fi
1157
1158 @GIWS_TRUE@giws-exception:
1159 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1160 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1161 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1162
1163 macros:
1164         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1165                 echo "Error : Cannot build $< : Scilab has not been built"; \
1166         else \
1167                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1168         fi)
1169
1170 # Removes the macros
1171 clean-macros:
1172 # Removes macros (*.bin generated from .sci)
1173         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1174                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1175                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1176         done
1177
1178 test:
1179 # More tests could be added here
1180         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1181         if test -f build.xml -a $$USEANT -eq 1; then \
1182                 $(ANT) test; \
1183         fi
1184
1185 all-local: $(TARGETS_ALL)
1186
1187 .sci.bin:
1188         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1189         echo "Error : Cannot build $< : Scilab has not been build"; \
1190         else \
1191         echo "Creating $@"; \
1192         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1193         fi )
1194
1195 install-html-local:
1196
1197 install-data-local-local:
1198 # Mainly for javasci
1199         @if test -d $(srcdir)/javadoc; then \
1200                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1201         fi
1202 # If the user wants the help sources to be installed
1203 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1204 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1205 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1206 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1207 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1208 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1209 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1210 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1211 @INSTALL_HELP_XML_TRUE@           done ; \
1212 @INSTALL_HELP_XML_TRUE@         fi; \
1213 @INSTALL_HELP_XML_TRUE@  fi; \
1214 @INSTALL_HELP_XML_TRUE@ done; \
1215 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1216 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1217 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1218 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1219 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1220 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1221 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1222 @INSTALL_HELP_XML_TRUE@           done ; \
1223 @INSTALL_HELP_XML_TRUE@         fi; \
1224 @INSTALL_HELP_XML_TRUE@ fi
1225 install-data-local:
1226 # Install the tests
1227         @echo "-------- Install tests (if any) --------"; \
1228         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1229           if test -d $(srcdir)/$$dir/; then \
1230             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1231                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1232                     if test -d "$(srcdir)/$$dir/$$file"; then \
1233                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1234                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1235                     else \
1236                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1237                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1238                     fi \
1239                   done; \
1240           fi; \
1241         done
1242 # Install the help chapter
1243         @echo "-------- Install the help chapter (if any) --------"; \
1244         for lang in $(HELP_CHAPTERLANG); do \
1245                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1246                 if test -f $$HELPFILE; then \
1247                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1248                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1249                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1250                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1251                 fi; \
1252         done
1253 # Install the demos & examples
1254         @echo "-------- Install demos & examples (if any) --------"; \
1255         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1256           if test -d $(srcdir)/$$dir/; then \
1257             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1258                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1259                     if test -d "$(srcdir)/$$dir/$$file"; then \
1260                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1261                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1262                     else \
1263                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1264                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1265                     fi \
1266                   done; \
1267           fi; \
1268         done
1269 # Install the macros
1270         @echo "-------- Install macros (if any) --------"; \
1271         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1272           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1273                 if test -d $(srcdir)/$$dir/; then \
1274                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1275                         if test -n "$(MACROSSPECIALEXT)"; then \
1276                                 specialExtDir=""; \
1277                                 for specialExt in $(MACROSSPECIALEXT); do \
1278                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1279                                 done; \
1280                                 FILELIST="$$FILELIST $$specialExtDir"; \
1281                         fi; \
1282                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1283                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1284                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1285                   done; \
1286                 fi; \
1287         done
1288 # Install java files (.jar)
1289         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1290         echo "-------- Install jar files --------"; \
1291     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1292           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1293                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1294                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1295           done ; \
1296         fi
1297
1298 ########### CLEAN ###################
1299 # Clean help (generated automatically by Scilab)
1300 # It used to clean the macro (clean-macros) but this was causing
1301 # make clean && make to fail Scilab startup
1302 @NEED_JAVA_TRUE@clean-local: clean-java
1303 @NEED_JAVA_FALSE@clean-local:
1304
1305 distclean-local:
1306         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1307
1308 .PHONY: macros java swig giws
1309
1310 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1311 # Otherwise a system limit (for SysV at least) may be exceeded.
1312 .NOEXPORT: